--- old/usr/src/uts/common/crypto/io/md5_mod.c	sam. juil. 16 15:13:46 2016
+++ new/usr/src/uts/common/crypto/io/md5_mod.c	sam. juil. 16 15:13:46 2016
@@ -64,9 +64,9 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	(void *)&modlmisc,
-	(void *)&modlcrypto,
-	NULL
+	{   (void *)&modlmisc,
+	    (void *)&modlcrypto,
+	    NULL }
 };
 
 /*
@@ -206,23 +206,23 @@
 };
 
 static crypto_ops_t md5_crypto_ops = {
-	&md5_control_ops,
-	&md5_digest_ops,
-	NULL,
-	&md5_mac_ops,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	&md5_ctx_ops
+	.co_control_ops = &md5_control_ops,
+	.co_digest_ops = &md5_digest_ops,
+	.co_cipher_ops = NULL,
+	.co_mac_ops = &md5_mac_ops,
+	.co_sign_ops = NULL,
+	.co_verify_ops = NULL,
+	.co_dual_ops = NULL,
+	.co_dual_cipher_mac_ops = NULL,
+	.co_random_ops = NULL,
+	.co_session_ops = NULL,
+	.co_object_ops = NULL,
+	.co_key_ops = NULL,
+	.co_provider_ops = NULL,
+	.co_ctx_ops = &md5_ctx_ops
 };
 
-static crypto_provider_info_t md5_prov_info = {
+static crypto_provider_info_t md5_prov_info = {{{{
 	CRYPTO_SPI_VERSION_1,
 	"MD5 Software Provider",
 	CRYPTO_SW_PROVIDER,
@@ -231,7 +231,7 @@
 	&md5_crypto_ops,
 	sizeof (md5_mech_info_tab)/sizeof (crypto_mech_info_t),
 	md5_mech_info_tab
-};
+}}}};
 
 static crypto_kcf_provider_handle_t md5_prov_handle = NULL;
 
